﻿#ifndef CLIENT_H
#define CLIENT_H

#include <QObject>
#include <QtWebSockets/QtWebSockets>
#include <QDebug>

class client : public QObject
{
    Q_OBJECT
public:
    QWebSocket m_webSocket;
    QUrl m_url;
    QString msg;

    explicit client(QObject *parent = nullptr, QUrl url = QStringLiteral("ws://localhost:1235"));

signals:
    void closed();

public slots:
    void SlotSendStyleToSim(QString newstyle);
private slots:
    void onConnected();
    void onTextMessageReceived(QString message);

};

#endif // CLIENT_H
