QT -= gui
QT += core websockets

CONFIG += c++11 console
CONFIG -= app_bundle

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += main.cpp \
    backgroundserver.cpp \
    coordTrans/XYZ2ELL.cpp \
    coordTrans/blh2xyz.cpp \
    coordTrans/rt_nonfinite.cpp \
    external/externalsim.cpp \
    external/jamming.cpp \
    external/radar.cpp \
    platform.cpp \
    simulationcontrol.cpp \
    wsclient/client.cpp

HEADERS += \
    backgroundserver.h \
    coordTrans/XYZ2ELL.h \
    coordTrans/blh2xyz.h \
    coordTrans/rt_defines.h \
    coordTrans/rt_nonfinite.h \
    coordTrans/rtwtypes.h \
    coordTrans/tmwtypes.h \
    external/externalsim.h \
    external/jamming.h \
    external/radar.h \
    platform.h \
    simulationcontrol.h \
    wsclient/client.h
